Page 1 of 2 12 LastLast
Results 1 to 20 of 22

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Quick upgrade question 3GS

  1. #1
    Default Quick upgrade question 3GS [Resolved]
    Hi,

    I would like to thank the community as it helped me when I first needed an unlock for my 3GS running on 3.1.3.

    Hope you can help me again.

    Details:
    Iphone 3GS 32gb
    Unlocked : YES
    Version : 3.1.3(7E18)
    Model : MB717
    Modem Firmware : 5.12.01
    SHSH saved : YES
    OS on laptop : Windows

    I have unlocked the phone using a universal sim to activate the itunes message and then using ultrasnow.

    Now the problem is the sim card is lost somewhere and I am unable to purchase a new one or borrow an Att sim from anyone so please don't suggest that.
    Thanks.

    Issue : I want to upgrade to iOS4 (any version), is there any chance I can do that so I can unlock again without needing an Att sim or any other universal sim?

    I am afraid if I upgrade to iOS4 the phone will not hactivate and will get stuck on connect to itunes error or insert correct sim error. If there is any way I may avoid that and upgrade to iOS4 please do let me know.
    Thanks in advance.
    Last edited by plox; 2010-11-12 at 01:19 PM. Reason: Resolved

  2. #2
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    You don't have a Mac so you Can't use Pwnage tools 4.1.2 to restore.
    You can restore to official 4.0 if you have shsh blogs and then use Limera1n to hactivate and jailbreak it

  3. #3
    Quote Originally Posted by yeow202 View Post
    You don't have a Mac so you Can't use Pwnage tools 4.1.2 to restore.
    You can restore to official 4.0 if you have shsh blogs and then use Limera1n to hactivate and jailbreak it
    Why would I want to restore? I am asking about upgrading the iOS.
    Again the question is will I require the sim card to bypass the itunes "insert sim" error?

    Also it would be appreciated if you could tell me whether Limera1n will have any implications as I have previously used ultrasn0w

  4. #4
    Quote Originally Posted by plox View Post
    Why would I want to restore? I am asking about upgrading the iOS.
    Again the question is will I require the sim card to bypass the itunes "insert sim" error?

    Also it would be appreciated if you could tell me whether Limera1n will have any implications as I have previously used ultrasn0w
    He's trying to tell you that Ultrasn0w DOES NOT WORK on 4.1 only 4.0.1 and below, if you ever went to 4.1 then you have locked your baseband no matter what firmware you go to

    duh on the sim card question, it says needs a sim card, no way around that

  5. #5
    Quote Originally Posted by shanejoe View Post
    He's trying to tell you that Ultrasn0w DOES NOT WORK on 4.1 only 4.0.1 and below, if you ever went to 4.1 then you have locked your baseband no matter what firmware you go to

    duh on the sim card question, it says needs a sim card, no way around that
    Yeah I know it may sound stupid but I am SOL on the sim card thing.
    Like I said I don't care about the iOS version just want to upgrade to iOS4 that's it(even if it's 4.0).
    I am sorry if I am not being clear enough, I just want to know if by any chance I can upgrade to a custom firmware or maybe through itunes to iOS4.0 and not lose my unlock and or hactivation.
    Thanks for the fast responses, much appreciated.

  6. #6
    First read the post above this

    Secound I see your below iOS4, if you wish to stay Unlocked don't do anything, iTunes wont allow you to update to anything but 4.1, Ultrasn0w only works up to 4.0.1, if you really want to update to iOS4 it is possible you would just have to preserve the baseband, a simple YouTube search of "4.1 iPhone unlock baseband" should help, just make sure it's the same model of iPhone and version as this DOES make a difference, for 3GS there is an old bootrom and a new bootrom etc for other models

  7. #7
    EDIT

    It will never be possible to update/downgrade from one to another and keep your unlock or even your jailbreak sry man

    Custom firmware yes but only if you have jailbroken with blackra1n which I believe Wa only on 3.1.2 so you could downgrade to that then update to a custom 4.0.1 or 4.0

  8. #8
    Quote Originally Posted by shanejoe View Post
    First read the post above this

    Secound I see your below iOS4, if you wish to stay Unlocked don't do anything, iTunes wont allow you to update to anything but 4.1, Ultrasn0w only works up to 4.0.1, if you really want to update to iOS4 it is possible you would just have to preserve the baseband, a simple YouTube search of "4.1 iPhone unlock baseband" should help, just make sure it's the same model of iPhone and version as this DOES make a difference, for 3GS there is an old bootrom and a new bootrom etc for other models
    Ok.
    Now I get it. Since Itunes won't allow me to update to 4.0 the ultrasn01 lock is a fail. I know about the bootrom issues and am on the old bootrom.

    What I was thinking that I have downloaded the 4.0 firware for 3GS, I thought I might restore via itunes if possible and will still be unlocked as ultrasn0w does work on iOS4.0 but main problem was the hactivate screen. clearly I was wrong.


    So will keep the 3.1.3 and still look on for more answers.
    Thanks a lot to you and the first poster.

  9. #9
    Custom firmware yes but only if you have jailbroken with blackra1n which I believe Was only on 3.1.2 so you could downgrade to that then update to a custom 4.0.1 or 4.0

    You can only downgrade and upgrade to these firmwares if you have blocked iTunes check with curies and you have your shsh files for all

  10. #10
    Quote Originally Posted by shanejoe View Post
    Custom firmware yes but only if you have jailbroken with blackra1n which I believe Was only on 3.1.2 so you could downgrade to that then update to a custom 4.0.1 or 4.0

    You can only downgrade and upgrade to these firmwares if you have blocked iTunes check with curies and you have your shsh files for all
    I do have SHSH stored and blocked itunes but will not go into downgrading as of now, was just curious if I could upgrade to iOS4 or even 3.2
    The real reason is VLC app. lol
    I know it might sound stupid but I saw it today and when I clicked on install it asked for 3.2OS, that's when I thought I should ask the community if I can upgrade or not.

  11. #11
    Edit read next post

  12. #12
    There is currently a Fake About screen in cydia, you could try installing that and see if it tricks the iPhone/iPad OS into thinking its on 3.2 and installing it

  13. #13
    Quote Originally Posted by shanejoe View Post
    Custom firmware yes but only if you have jailbroken with blackra1n which I believe Was only on 3.1.2 so you could downgrade to that then update to a custom 4.0.1 or 4.0

    You can only downgrade and upgrade to these firmwares if you have blocked iTunes check with curies and you have your shsh files for all
    I am not tryig to steal this thread but you may have answered my question as to why I can't either restore to 4.1 or even stock 3.1.2, now if you can tell me how.. what is "blocking itunes check" and how do I do it?

  14. #14
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    If you need SHSHs to restore, you have to either edit your host file or run TinyUmbrella's TSS server to redirect at Saurik's server instead of Apple's, which bypasses the 3194 error if SHSHs are available for your device on Saurik's server.

  15. #15
    Quote Originally Posted by Anniex423 View Post
    If you need SHSHs to restore, you have to either edit your host file or run TinyUmbrella's TSS server to redirect at Saurik's server instead of Apple's, which bypasses the 3194 error if SHSHs are available for your device on Saurik's server.
    This is how you block iTunes from checking (see above quote)

  16. #16
    Boy, there's a lot of bad advice in this thread. To the OP, since you have your SHSH stored, and you are on Windows, you have many options. You could, as has been suggested, restore (which is not different from upgrading in this instance) to, say, 4.0 and use the appropriate jailbreak tool-- I think limera1n and greenpois0n will both work, but check guides-- or you could download snowbreeze and cook a custom 4.0 firmware. BE SURE TO CHECK THE BOX THAT SAYS ACTIVATE when you make your firmware. Snowbreeze will add Cydia to your firmware and then you install ultrasn0w through Cydia. You will be unlocked.

    Forget about universal sims, original sims, etc. However, please do carefully read all guides on this site-- everything you need to know is here. In particular, make sure you are absolutely clear on 1) which tool will work for your model/OS/baseband, 2) how to edit your host file so that it points to Saurik's server, and 3) how to restore (update) to a firmware on your local machine. FYI, there are ample explanations of the difference between clicking "Update" and "Restore", but essentially, even if you are moving to a numerically higher firmware, you want to click "Restore".

    I have essentially the same phone as you, and I am running jb/ul 4.0. My phone is a non-US phone (I'm in the US) and I have never had the original SIM, but I have upgraded/jailbroken/unlocked this phone many times.

  17. #17
    Quote Originally Posted by Anniex423 View Post
    If you need SHSHs to restore, you have to either edit your host file or run TinyUmbrella's TSS server to redirect at Saurik's server instead of Apple's, which bypasses the 3194 error if SHSHs are available for your device on Saurik's server.
    ahh, ok, I have done that. Was hoping there was something that I had missed.. Guess I will just have to wait for a new jailbreak. I know my problem starts with the fact that I used spirit for my jailbreak, but have no clue what is keeping me from even restoring to a stock 3.1.2 and then jailbreak that.
    Thanks for taking the time to answer.

  18. #18
    Quote Originally Posted by John1177 View Post
    ahh, ok, I have done that. Was hoping there was something that I had missed.. Guess I will just have to wait for a new jailbreak. I know my problem starts with the fact that I used spirit for my jailbreak, but have no clue what is keeping me from even restoring to a stock 3.1.2 and then jailbreak that.
    Thanks for taking the time to answer.
    Well if you have the shsh for 3.1.2 then nothing is stopping you, you can do that then use blackra1n so then you can do a custom restore to 4.0(shift+restore) just make sure you know what your doing so you don't go to 4.1, for help search YouTube for "custom firmware iPhone"

  19. #19
    Quote Originally Posted by Amadomon View Post
    Boy, there's a lot of bad advice in this thread. To the OP, since you have your SHSH stored, and you are on Windows, you have many options. You could, as has been suggested, restore (which is not different from upgrading in this instance) to, say, 4.0 and use the appropriate jailbreak tool--
    Actually I wanted to confirm this only, since I have already changed my host files and have 3.1.3 SHSH stored, can I Shift+Restore to a 4.0 firmware directly from itunes?
    or
    Do I need to use sn0wbreeze and cook a custom firmware for 4.0, as I am already unlocked so according to my knowledge my unlock should be preserved.

  20. #20
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    If you have 3.1.3 shsh blogs, it means you can restore to 3.1.3. If you want to restore to stock 4.0, you will need 4.0 shsh blogs. If you restore to custom fw of 4.0, then your baseband will be preserved at the current basband of your previous stock firmware baseband, if this make sense to you.

Page 1 of 2 12 LastLast
Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •